> ## Documentation Index
> Fetch the complete documentation index at: https://foreverbetter.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Query health context

> Query normalized observations and derived interpretations.



## OpenAPI

````yaml https://api.foreverbetter.xyz/openapi.json post /query
openapi: 3.1.0
info:
  title: ForeverBetter API
  version: 0.4.8
  description: >-
    ForeverBetter API and MCP-compatible service for genetics, biomarkers,
    wearables, lab locator handoffs, and dashboard specs.
servers:
  - url: https://api.foreverbetter.xyz
security:
  - bearerAuth: []
paths:
  /query:
    post:
      summary: Query health context
      description: Query normalized observations and derived interpretations.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - user_id
                - query
              properties:
                user_id:
                  type: string
                  minLength: 1
                organization_id:
                  type: string
                  minLength: 1
                query:
                  type: string
                  minLength: 1
                analysis_ids:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````